[pjsip] linking error when attempting cygwin build of pjsip

Benny Prijono bennylp at pjsip.org
Tue Nov 27 11:47:48 EST 2007


Alex T. W. LEUNG wrote:
> Dear pjsip community members,
>  
> I attempted to build pjsip under cygwin. I have firstly used 
> ./configure-legacy, and then I trigger the "make dep && make clean && make".
>  
> And then I was hitted by the below error, as shown under the P.S. 
> portion of this email.
>  
> Appreciate if anyone can shed some light on this issue. Thanks.

Sorry to say this, but ./configure-legacy (and support for Cygwin in 
general) has been broken since 0.7, so it does not build the third 
party libraries which are needed by applications. And I think 
./configure does not run properly on Cygwin either, although YMMV, 
so Cygwin is more or less not supported. I would much prefer you use 
Mingw, which is supported.

cheers,
  -benny

> Alex Leung.
> P.S.






More information about the pjsip mailing list